/***************************************************************************
                          ktritoc  -  a KDE game mrandom.h
                             -------------------
    begin                : November 2002
    copyright            : (C) 2002 by M. Heni
    email                : ktritoc@heni-online.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MRANDOM_H
#define MRANDOM_H

#ifdef USEKDE
#include <krandomsequence.h>
#endif


/**
  *@author M. Heni
  */

class MRandom
{
public: 
	MRandom();
	~MRandom();
  /** Returns random double number 0..1 */
  double getDouble();
  /** returns a long random number 0..upper-1 */
  unsigned long getLong(unsigned long upper);
  /** Sets the seed */
  void setSeed(long lngSeed=0);


  private:
  static bool hasSeed;
  #ifdef USEKDE
  KRandomSequence mRandom;
  #endif
};

#endif
